Create or update an attribute
put
https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/attribute/{id}
Creates or updates the attribute with the specified ID.
Request
Path Parameters
-
id(required): string
The ID of the resource item.
Supported Media Types
- application/json
Root Schema : AttributeOracle
Type:
objectTitle:
AttributeOracleThe attribute resource.
Show Source
-
@baseType: string
The base type of the attribute.
-
@schemaLocation: string
The URI of the schema that defines the attribute.
-
@type(required): string
The class type of the attribute.
-
@valueSchemaLocation: string
The optional link to the schema that describes the value type.
-
allowedUnits: array
allowedUnits
A list of allowed units associated with the attribute.
-
applicationName: string
The name of the application associated with the attribute.
-
attributeRelationship: array
attributeRelationship
A list of attribute relationships associated with the attribute.
-
attributeValue: array
attributeValue
A list of attribute values associated with the attribute.
-
configurable: boolean
Whether the attribute is configurable.
-
created: string
(date-time)
The date and time of the creation.
-
createdBy: string
The name of the person who created item.
-
description: string
A narrative that explains in detail what the attribute is.
-
displayName: string
The name of the display associated with the attribute.
-
extensible: boolean
An indicator that specifies that the values for the attribute can be extended by adding new values when instantiating a attribute for a characteristic.
-
externalId: string
The ID of the external associated with the attribute.
-
fulfillmentUpdatable: boolean
Indicates runtime system to allow update coming from fulfillment system only for attributes that has this property set to true.
-
href: string
The hyperlink reference to the attribute.
-
id: string
Maximum Length:
30The ID of the attribute. -
isUnique: boolean
An indicator that specifies if a value is unique for the attribute. Possible values are; "unique while value is in effect" and "unique whether value is in effect or not".
-
lastUpdate: string
(date-time)
The date and time when the attribute was last updated.
-
lastUpdatedBy: string
The name of the person who updated item.
-
lifecycleStatus: string
The status of the attribute.
-
maxCardinality: integer
The maximum number of instances an attribute can take on. For example, zero to five phone numbers in a group calling plan, where five is the value for the maxCardinality.
-
minCardinality: integer
The minimum number of instances an atribute can take on. For example, zero to five phone numbers in a group calling plan, where zero is the value for the minCardinality.
-
name(required): string
The name of the attribute.
-
project: object
ProjectRef
Title:
ProjectRefThe project reference resource. -
regex: string
A rule or principle represented as a regular expression for deriving the value of an attribute value.
-
runtimeFilterable: boolean
Whether the attribute is runtime filterable.
-
sensitive: boolean
Whether the attribute is sensitive.
-
validFor: object
TimePeriodOracle
Title:
TimePeriodOracleThe validity period of the related party. -
valueType: string
Allowed Values:
[ "STRING", "NUMBER", "OBJECT", "ARRAY", "DECIMAL", "BOOLEAN", "DATE", "DATETIME", "URL" ]The type or classification of the attribute. Valid values are STRING, NUMBER, OBJECT, ARRAY, DECIMAL, BOOLEAN, DATE, DATETIME, and URL. -
version: string
The attribute version.
-
versionState: number
The version state of the attribute.
Nested Schema : allowedUnits
Type:
arrayA list of allowed units associated with the attribute.
Show Source
Nested Schema : attributeRelationship
Type:
arrayA list of attribute relationships associated with the attribute.
Show Source
-
Array of:
object AttributeRelationshipOracle
Title:
AttributeRelationshipOracleAn aggregation, migration, substitution, dependency or exclusivity relationship between/among attributes.
Nested Schema : attributeValue
Type:
arrayA list of attribute values associated with the attribute.
Show Source
-
Array of:
object CharacteristicValueSpecification
Title:
CharacteristicValueSpecificationDiscriminator:{ "propertyName":"@type", "mapping":{ "CharacteristicValueSpecification":"#/components/schemas/CharacteristicValueSpecification", "StringCharacteristicValueSpecification":"#/components/schemas/StringCharacteristicValueSpecification", "ObjectCharacteristicValueSpecification":"#/components/schemas/ObjectCharacteristicValueSpecification", "StringArrayCharacteristicValueSpecification":"#/components/schemas/StringArrayCharacteristicValueSpecification", "MapCharacteristicValueSpecification":"#/components/schemas/MapCharacteristicValueSpecification", "NumberCharacteristicValueSpecification":"#/components/schemas/NumberCharacteristicValueSpecification", "MapArrayCharacteristicValueSpecification":"#/components/schemas/MapArrayCharacteristicValueSpecification", "ObjectArrayCharacteristicValueSpecification":"#/components/schemas/ObjectArrayCharacteristicValueSpecification", "NumberArrayCharacteristicValueSpecification":"#/components/schemas/NumberArrayCharacteristicValueSpecification", "IntegerCharacteristicValueSpecification":"#/components/schemas/IntegerCharacteristicValueSpecification", "IntegerArrayCharacteristicValueSpecification":"#/components/schemas/IntegerArrayCharacteristicValueSpecification", "StringCharacteristicValueSpecificationOracle":"#/components/schemas/StringCharacteristicValueSpecificationOracle", "ObjectCharacteristicValueSpecificationOracle":"#/components/schemas/ObjectCharacteristicValueSpecificationOracle", "StringArrayCharacteristicValueSpecificationOracle":"#/components/schemas/StringArrayCharacteristicValueSpecificationOracle", "MapCharacteristicValueSpecificationOracle":"#/components/schemas/MapCharacteristicValueSpecificationOracle", "NumberCharacteristicValueSpecificationOracle":"#/components/schemas/NumberCharacteristicValueSpecificationOracle", "MapArrayCharacteristicValueSpecificationOracle":"#/components/schemas/MapArrayCharacteristicValueSpecificationOracle", "ObjectArrayCharacteristicValueSpecificationOracle":"#/components/schemas/ObjectArrayCharacteristicValueSpecificationOracle", "NumberArrayCharacteristicValueSpecificationOracle":"#/components/schemas/NumberArrayCharacteristicValueSpecificationOracle", "IntegerCharacteristicValueSpecificationOracle":"#/components/schemas/IntegerCharacteristicValueSpecificationOracle", "IntegerArrayCharacteristicValueSpecificationOracle":"#/components/schemas/IntegerArrayCharacteristicValueSpecificationOracle" } }A number or text that can be assigned to a ProductSpecCharacteristic.
Nested Schema : ProjectRef
Type:
objectTitle:
ProjectRefThe project reference resource.
Show Source
-
href: string
The hyperlink reference to the project reference.
-
id(required): string
The ID of the project reference.
-
name: string
The name of the project reference.
-
version: string
The version of the project.
Nested Schema : TimePeriodOracle
Type:
objectTitle:
TimePeriodOracleThe validity period of the related party.
Show Source
-
endDateTime: string
(date-time)
The end date and time of the time period.
-
startDateTime: string
(date-time)
The start date and time of the time period.
Nested Schema : AttributeRelationshipOracle
Type:
objectTitle:
AttributeRelationshipOracleAn aggregation, migration, substitution, dependency or exclusivity relationship between/among attributes.
Show Source
-
@baseType: string
The base type of the attribute relationship.
-
@schemaLocation: string
The URI of the schema that defines the attribute relationship.
-
@type(required): string
The class type of the attribute relationship.
-
href: string
The hyperlink reference to the attribute relationship.
-
id(required): string
The ID of the attribute relationship.
-
name(required): string
The name of the attribute relationship.
-
relationshipType(required): string
Allowed Values:
[ "AGGREGATION", "MIGRATION", "SUBSTITUTION", "DEPENDENCY", "EXCLUSIVITY" ]The type or classification of the attribute relationship. Valid values are AGGREGATION, MIGRATION, SUBSTITUTION, DEPENDENCY, and EXCLUSIVITY. -
validFor: object
TimePeriodOracle
Title:
TimePeriodOracleThe validity period of the related party.
Nested Schema : CharacteristicValueSpecification
Type:
objectTitle:
CharacteristicValueSpecificationDiscriminator: @type
Discriminator Values
- CharacteristicValueSpecification
- StringCharacteristicValueSpecification
- ObjectCharacteristicValueSpecification
- StringArrayCharacteristicValueSpecification
- MapCharacteristicValueSpecification
- NumberCharacteristicValueSpecification
- MapArrayCharacteristicValueSpecification
- ObjectArrayCharacteristicValueSpecification
- NumberArrayCharacteristicValueSpecification
- IntegerCharacteristicValueSpecification
- IntegerArrayCharacteristicValueSpecification
- StringCharacteristicValueSpecificationOracle
- ObjectCharacteristicValueSpecificationOracle
- StringArrayCharacteristicValueSpecificationOracle
- MapCharacteristicValueSpecificationOracle
- NumberCharacteristicValueSpecificationOracle
- MapArrayCharacteristicValueSpecificationOracle
- ObjectArrayCharacteristicValueSpecificationOracle
- NumberArrayCharacteristicValueSpecificationOracle
- IntegerCharacteristicValueSpecificationOracle
- IntegerArrayCharacteristicValueSpecificationOracle
A number or text that can be assigned to a ProductSpecCharacteristic.
Show Source
-
@baseType: string
The base type of the characteristic value specification.
-
@schemaLocation: string
The URI of the schema that defines the characteristic value specification.
-
@type(required): string
The class type of the characteristic value specification.
-
isDefault: boolean
Whether the characteristic value specification is default.
-
rangeInterval: string
Allowed Values:
[ "OPEN", "CLOSED", "CLOSED_BOTTOM", "CLOSED_TOP" ]An indicator that specifies the inclusion or exclusion of the valueFrom and valueTo attributes. If applicable, possible values are "open", "closed", "closedBottom" and "closedTop". Valid values are OPEN, CLOSED, CLOSED_BOTTOM, and CLOSED_TOP. -
regex: string
The regular expression to define constraint on the allowed value.
-
unitOfMeasure: string
Allowed Values:
[ "NONE", "SECOND", "MINUTE", "HOUR", "DAY", "MONTH", "BYTE", "KILOBYTE", "MEGABYTE", "GIGABYTE", "PAGES", "MOVIES", "TIME_INTERVAL", "QUANTITY", "MBPS", "GBPS" ]The unit can be minutes or GB. -
validFor: object
TimePeriodOracle
Title:
TimePeriodOracleThe validity period of the related party. -
valueFrom: string
The low range value that a characteristic can take on.
-
valueTo: string
The upper range value that a characteristic can take on.
-
valueType: string
Allowed Values:
[ "STRING", "NUMBER", "OBJECT", "ARRAY", "DECIMAL", "BOOLEAN", "DATE", "DATETIME", "URL" ]The type or classification of the characteristic value specification. Valid values are STRING, NUMBER, OBJECT, ARRAY, DECIMAL, BOOLEAN, DATE, DATETIME, and URL.
Response
Supported Media Types
- application/json
200 Response
The attribute was created or updated successfully.
Root Schema : AttributeOracle
Type:
objectTitle:
AttributeOracleThe attribute resource.
Show Source
-
@baseType: string
The base type of the attribute.
-
@schemaLocation: string
The URI of the schema that defines the attribute.
-
@type(required): string
The class type of the attribute.
-
@valueSchemaLocation: string
The optional link to the schema that describes the value type.
-
allowedUnits: array
allowedUnits
A list of allowed units associated with the attribute.
-
applicationName: string
The name of the application associated with the attribute.
-
attributeRelationship: array
attributeRelationship
A list of attribute relationships associated with the attribute.
-
attributeValue: array
attributeValue
A list of attribute values associated with the attribute.
-
configurable: boolean
Whether the attribute is configurable.
-
created: string
(date-time)
The date and time of the creation.
-
createdBy: string
The name of the person who created item.
-
description: string
A narrative that explains in detail what the attribute is.
-
displayName: string
The name of the display associated with the attribute.
-
extensible: boolean
An indicator that specifies that the values for the attribute can be extended by adding new values when instantiating a attribute for a characteristic.
-
externalId: string
The ID of the external associated with the attribute.
-
fulfillmentUpdatable: boolean
Indicates runtime system to allow update coming from fulfillment system only for attributes that has this property set to true.
-
href: string
The hyperlink reference to the attribute.
-
id: string
Maximum Length:
30The ID of the attribute. -
isUnique: boolean
An indicator that specifies if a value is unique for the attribute. Possible values are; "unique while value is in effect" and "unique whether value is in effect or not".
-
lastUpdate: string
(date-time)
The date and time when the attribute was last updated.
-
lastUpdatedBy: string
The name of the person who updated item.
-
lifecycleStatus: string
The status of the attribute.
-
maxCardinality: integer
The maximum number of instances an attribute can take on. For example, zero to five phone numbers in a group calling plan, where five is the value for the maxCardinality.
-
minCardinality: integer
The minimum number of instances an atribute can take on. For example, zero to five phone numbers in a group calling plan, where zero is the value for the minCardinality.
-
name(required): string
The name of the attribute.
-
project: object
ProjectRef
Title:
ProjectRefThe project reference resource. -
regex: string
A rule or principle represented as a regular expression for deriving the value of an attribute value.
-
runtimeFilterable: boolean
Whether the attribute is runtime filterable.
-
sensitive: boolean
Whether the attribute is sensitive.
-
validFor: object
TimePeriodOracle
Title:
TimePeriodOracleThe validity period of the related party. -
valueType: string
Allowed Values:
[ "STRING", "NUMBER", "OBJECT", "ARRAY", "DECIMAL", "BOOLEAN", "DATE", "DATETIME", "URL" ]The type or classification of the attribute. Valid values are STRING, NUMBER, OBJECT, ARRAY, DECIMAL, BOOLEAN, DATE, DATETIME, and URL. -
version: string
The attribute version.
-
versionState: number
The version state of the attribute.
Nested Schema : allowedUnits
Type:
arrayA list of allowed units associated with the attribute.
Show Source
Nested Schema : attributeRelationship
Type:
arrayA list of attribute relationships associated with the attribute.
Show Source
-
Array of:
object AttributeRelationshipOracle
Title:
AttributeRelationshipOracleAn aggregation, migration, substitution, dependency or exclusivity relationship between/among attributes.
Nested Schema : attributeValue
Type:
arrayA list of attribute values associated with the attribute.
Show Source
-
Array of:
object CharacteristicValueSpecification
Title:
CharacteristicValueSpecificationDiscriminator:{ "propertyName":"@type", "mapping":{ "CharacteristicValueSpecification":"#/components/schemas/CharacteristicValueSpecification", "StringCharacteristicValueSpecification":"#/components/schemas/StringCharacteristicValueSpecification", "ObjectCharacteristicValueSpecification":"#/components/schemas/ObjectCharacteristicValueSpecification", "StringArrayCharacteristicValueSpecification":"#/components/schemas/StringArrayCharacteristicValueSpecification", "MapCharacteristicValueSpecification":"#/components/schemas/MapCharacteristicValueSpecification", "NumberCharacteristicValueSpecification":"#/components/schemas/NumberCharacteristicValueSpecification", "MapArrayCharacteristicValueSpecification":"#/components/schemas/MapArrayCharacteristicValueSpecification", "ObjectArrayCharacteristicValueSpecification":"#/components/schemas/ObjectArrayCharacteristicValueSpecification", "NumberArrayCharacteristicValueSpecification":"#/components/schemas/NumberArrayCharacteristicValueSpecification", "IntegerCharacteristicValueSpecification":"#/components/schemas/IntegerCharacteristicValueSpecification", "IntegerArrayCharacteristicValueSpecification":"#/components/schemas/IntegerArrayCharacteristicValueSpecification", "StringCharacteristicValueSpecificationOracle":"#/components/schemas/StringCharacteristicValueSpecificationOracle", "ObjectCharacteristicValueSpecificationOracle":"#/components/schemas/ObjectCharacteristicValueSpecificationOracle", "StringArrayCharacteristicValueSpecificationOracle":"#/components/schemas/StringArrayCharacteristicValueSpecificationOracle", "MapCharacteristicValueSpecificationOracle":"#/components/schemas/MapCharacteristicValueSpecificationOracle", "NumberCharacteristicValueSpecificationOracle":"#/components/schemas/NumberCharacteristicValueSpecificationOracle", "MapArrayCharacteristicValueSpecificationOracle":"#/components/schemas/MapArrayCharacteristicValueSpecificationOracle", "ObjectArrayCharacteristicValueSpecificationOracle":"#/components/schemas/ObjectArrayCharacteristicValueSpecificationOracle", "NumberArrayCharacteristicValueSpecificationOracle":"#/components/schemas/NumberArrayCharacteristicValueSpecificationOracle", "IntegerCharacteristicValueSpecificationOracle":"#/components/schemas/IntegerCharacteristicValueSpecificationOracle", "IntegerArrayCharacteristicValueSpecificationOracle":"#/components/schemas/IntegerArrayCharacteristicValueSpecificationOracle" } }A number or text that can be assigned to a ProductSpecCharacteristic.
Nested Schema : ProjectRef
Type:
objectTitle:
ProjectRefThe project reference resource.
Show Source
-
href: string
The hyperlink reference to the project reference.
-
id(required): string
The ID of the project reference.
-
name: string
The name of the project reference.
-
version: string
The version of the project.
Nested Schema : TimePeriodOracle
Type:
objectTitle:
TimePeriodOracleThe validity period of the related party.
Show Source
-
endDateTime: string
(date-time)
The end date and time of the time period.
-
startDateTime: string
(date-time)
The start date and time of the time period.
Nested Schema : AttributeRelationshipOracle
Type:
objectTitle:
AttributeRelationshipOracleAn aggregation, migration, substitution, dependency or exclusivity relationship between/among attributes.
Show Source
-
@baseType: string
The base type of the attribute relationship.
-
@schemaLocation: string
The URI of the schema that defines the attribute relationship.
-
@type(required): string
The class type of the attribute relationship.
-
href: string
The hyperlink reference to the attribute relationship.
-
id(required): string
The ID of the attribute relationship.
-
name(required): string
The name of the attribute relationship.
-
relationshipType(required): string
Allowed Values:
[ "AGGREGATION", "MIGRATION", "SUBSTITUTION", "DEPENDENCY", "EXCLUSIVITY" ]The type or classification of the attribute relationship. Valid values are AGGREGATION, MIGRATION, SUBSTITUTION, DEPENDENCY, and EXCLUSIVITY. -
validFor: object
TimePeriodOracle
Title:
TimePeriodOracleThe validity period of the related party.
Nested Schema : CharacteristicValueSpecification
Type:
objectTitle:
CharacteristicValueSpecificationDiscriminator: @type
Discriminator Values
- CharacteristicValueSpecification
- StringCharacteristicValueSpecification
- ObjectCharacteristicValueSpecification
- StringArrayCharacteristicValueSpecification
- MapCharacteristicValueSpecification
- NumberCharacteristicValueSpecification
- MapArrayCharacteristicValueSpecification
- ObjectArrayCharacteristicValueSpecification
- NumberArrayCharacteristicValueSpecification
- IntegerCharacteristicValueSpecification
- IntegerArrayCharacteristicValueSpecification
- StringCharacteristicValueSpecificationOracle
- ObjectCharacteristicValueSpecificationOracle
- StringArrayCharacteristicValueSpecificationOracle
- MapCharacteristicValueSpecificationOracle
- NumberCharacteristicValueSpecificationOracle
- MapArrayCharacteristicValueSpecificationOracle
- ObjectArrayCharacteristicValueSpecificationOracle
- NumberArrayCharacteristicValueSpecificationOracle
- IntegerCharacteristicValueSpecificationOracle
- IntegerArrayCharacteristicValueSpecificationOracle
A number or text that can be assigned to a ProductSpecCharacteristic.
Show Source
-
@baseType: string
The base type of the characteristic value specification.
-
@schemaLocation: string
The URI of the schema that defines the characteristic value specification.
-
@type(required): string
The class type of the characteristic value specification.
-
isDefault: boolean
Whether the characteristic value specification is default.
-
rangeInterval: string
Allowed Values:
[ "OPEN", "CLOSED", "CLOSED_BOTTOM", "CLOSED_TOP" ]An indicator that specifies the inclusion or exclusion of the valueFrom and valueTo attributes. If applicable, possible values are "open", "closed", "closedBottom" and "closedTop". Valid values are OPEN, CLOSED, CLOSED_BOTTOM, and CLOSED_TOP. -
regex: string
The regular expression to define constraint on the allowed value.
-
unitOfMeasure: string
Allowed Values:
[ "NONE", "SECOND", "MINUTE", "HOUR", "DAY", "MONTH", "BYTE", "KILOBYTE", "MEGABYTE", "GIGABYTE", "PAGES", "MOVIES", "TIME_INTERVAL", "QUANTITY", "MBPS", "GBPS" ]The unit can be minutes or GB. -
validFor: object
TimePeriodOracle
Title:
TimePeriodOracleThe validity period of the related party. -
valueFrom: string
The low range value that a characteristic can take on.
-
valueTo: string
The upper range value that a characteristic can take on.
-
valueType: string
Allowed Values:
[ "STRING", "NUMBER", "OBJECT", "ARRAY", "DECIMAL", "BOOLEAN", "DATE", "DATETIME", "URL" ]The type or classification of the characteristic value specification. Valid values are STRING, NUMBER, OBJECT, ARRAY, DECIMAL, BOOLEAN, DATE, DATETIME, and URL.
400 Response
Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field, a missing required value, and so forth.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
401 Response
Your request isn't authorized. The authentication credentials included with this request are missing or invalid.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
404 Response
The resource with the specified URI couldn't be found.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
405 Response
HTTP action specified in the request (DELETE, GET, POST, PUT) isn't supported for this request URI.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
500 Response
The server encountered something unexpected that prevented it from completing the request.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
Examples
The following example shows how to create or update an attribute by submitting a put request on the REST resource using cURL.
curl -H 'Authorization: Bearer <accessToken> -H PUT https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/attribute/{id}Example of Request Header
The following shows an example of the request header in JSON format.
{
"id": "ATT-2358059661-1738156830369",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/attribute/ATT-2358059661-1738156830369",
"name": "test-min-max-attr",
"version": "1.0",
"lifecycleStatus": "In design",
"valueType": "NUMBER",
"@type": "AttributeOracle",
"configurable": true,
"minCardinality": 0,
"maxCardinality": 1,
"validFor": {
"startDateTime": "2025-01-29T00:00:00.000Z"
},
"attributeValue": [
{
"value": 0,
"rangeInterval": "OPEN",
"valueTo": "48",
"valueFrom": "0",
"valueType": "NUMBER",
"isDefault": true,
"validFor": {
"startDateTime": "2025-01-29T00:00:00.000Z"
},
"@type": "NumberCharacteristicValueSpecification"
}
],
"project": {
"id": "P-1662601049-1738156812821",
"name": "test-fresh-pub",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/project/P-1662601049-1738156812821",
"version": "1.0",
"@referredType": "ProjectOracle"
}
}
Example of Response Body
The following example shows the contents of the response body in JSON format:
{
"id": "ATT-2358059661-1738156830369",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/attribute/ATT-2358059661-1738156830369",
"name": "test-min-max-attr",
"version": "1.0",
"lifecycleStatus": "In design",
"valueType": "NUMBER",
"@type": "AttributeOracle",
"configurable": true,
"minCardinality": 0,
"maxCardinality": 1,
"validFor": {
"startDateTime": "2025-01-29T00:00:00.000Z"
},
"attributeValue": [
{
"value": 0,
"rangeInterval": "OPEN",
"valueTo": "48",
"valueFrom": "0",
"valueType": "NUMBER",
"isDefault": true,
"validFor": {
"startDateTime": "2025-01-29T00:00:00.000Z"
},
"@type": "NumberCharacteristicValueSpecification"
}
],
"lastUpdate": "2025-10-24T07:47:28.005Z",
"lastUpdatedBy": "booth",
"created": "2025-01-29T13:21:00.000Z",
"createdBy": "booth",
"project": {
"id": "P-1662601049-1738156812821",
"name": "test-fresh-pub",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/project/P-1662601049-1738156812821",
"version": "1.0",
"@referredType": "ProjectOracle"
}
}